#!/system/bin/sh
_PDIR='/data/local'
_SDIR='/sqlite_stmt_journals'
_PHONE='desirec'

# make sure this gets used only for the Eris
getprop ro.build.product > ${_SDIR}/prod_chk.txt
echo "${_PHONE}" > ${_SDIR}/prod_ref.txt
if cmp ${_SDIR}/prod_chk.txt ${_SDIR}/prod_ref.txt >>/dev/null 2>&1 ; then
  :
else
  echo "ERROR: This script is only for the device: ${_PHONE}"
  echo -n 'your phone is reported to be a : '
  cat ${_SDIR}/prod_chk.txt
  exit 1
fi

_battcap=`cat /sys/class/power_supply/battery/capacity`
echo 'NOTE: Your Battery is charged to '${_battcap}' %'
echo ''
echo 'DO NOT RUN part2 until your have > 40% charge'
echo ''

echo 'Symlinking '"${_PDIR}"'/rights/mid.txt'

# eu1 7/21/2010 - added bkup of mid.txt
#     do not want symlink preserved in Nandroid backup
#     or in place for folks who only do a root-tools overlay
#
cat ${_PDIR}/rights/mid.txt > ${_PDIR}/rights/mid.txt.bkup
chmod 777 ${_PDIR}/rights/mid.txt.bkup

rm ${_PDIR}/rights/mid.txt
ln -s /dev/mtd/mtd1 ${_PDIR}/rights/mid.txt
echo ''
echo 'Here is the symlink:'
ls -l ${_PDIR}/rights/mid.txt


echo ''
echo 'That is all for PART 1;'
echo 'Now:'
echo ''
echo '- Reboot your phone,'
echo '- Make sure the battery is charged,'
echo '- come back here and run PART 2'
echo ''
