#!/system/bin/sh
_SDDIR='/sdcard/gscript/tools'
_PDIR='/sqlite_stmt_journals'
_PHONE='desirec'

# make sure this gets used only for the Eris
getprop ro.build.product > ${_PDIR}/prod_chk.txt
echo "${_PHONE}" > ${_PDIR}/prod_ref.txt
if cmp ${_PDIR}/prod_chk.txt ${_PDIR}/prod_ref.txt >>/dev/null 2>&1 ; then
  :
else
  echo "ERROR: This script is only for the device: ${_PHONE}"
  echo -n 'your phone is reported to be a : '
  cat ${_PDIR}/prod_chk.txt
  exit 1
fi

echo 'All systems go if /dev/mtd/mtd1 has file mode 777 :'
ls -l /dev/mtd/mtd1
echo ''

echo 'Installing tools to '"${_PDIR}"
for _fil in recovery.img flash_image ; do
  cat ${_SDDIR}/${_fil} > ${_PDIR}/${_fil}
  chmod 755 ${_PDIR}/${_fil}
done

echo ''
echo 'Flashing recovery image...'
if ${_PDIR}/flash_image recovery ${_PDIR}/recovery.img ; then
  echo ''
  echo 'CONGRATULATIONS! You have ROOT!'
  echo ''
  echo 'Power your Eris off, and boot into recovery with Vol-Up+End'
else
  echo 'OOPs - what happened?'
fi

# eu1 7/21/2010 - added bkup/restore of mid.txt
#     do not want symlink preserved in Nandroid backup
#     or in place for folks who only do a root-tools overlay
#
rm /data/local/rights/mid.txt
cat /data/local/rights/mid.txt.bkup > /data/local/rights/mid.txt
